%define upstream_name    Dist-Zilla-Plugin-MetaResourcesFromGit
%define upstream_version 1.103620

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Metadata resource URLs from Git configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(String::Formatter)
BuildArch: noarch

%description
This plugin is a drop-in replacement for the
Dist::Zilla::Plugin::MetaResources manpage for users of Git. It
_automatically_ provides three resource links to your distribution
metadata, based on the name of the distribution and the remote URL of the
Git repository you are working from.

The default links are equivalent to:

 homepage        = https://github.com/%a/%r/wiki
 bugtracker.web  = https://rt.cpan.org/Public/Dist/Display.html?Name=%N
 repository.url  = git://github.com/%a/%r.git
 repository.web  = https://github.com/%a/%r
 repository.type = git

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.103.620-2.mga3
+ Revision: 366284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 1.103.620-1.mga1
+ Revision: 71261
- imported package perl-Dist-Zilla-Plugin-MetaResourcesFromGit

